// Copyright 2019 The Oppia Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Service which maintains a stack of changes to a Question
 * domain object.
 */

import { Injectable } from '@angular/core';
import { downgradeInjectable } from '@angular/upgrade/static';
import { BaseUndoRedo } from 'domain/editor/undo_redo/base-undo-redo.service';

@Injectable({
  providedIn: 'root'
})
export class QuestionUndoRedoService extends BaseUndoRedo {
  constructor() {
    super();
  }
}

angular.module('oppia').factory('QuestionUndoRedoService',
  downgradeInjectable(QuestionUndoRedoService));
