// Copyright 2019 The Oppia Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview ConvertToPlainText filter for Oppia.
 */

angular.module('oppia').filter('convertToPlainText', [function() {
  return function(input: string) {
    var strippedText = input.replace(/(<([^>]+)>)/ig, '');
    strippedText = strippedText.replace(/&nbsp;/ig, ' ');
    strippedText = strippedText.replace(/&quot;/ig, '');

    var trimmedText = strippedText.trim();
    if (trimmedText.length === 0) {
      return strippedText;
    } else {
      return trimmedText;
    }
  };
}]);
