// Copyright 2020 The Oppia Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Unit tests for ExternalSaveService
*/

import { EventEmitter } from '@angular/core';
import { TestBed } from '@angular/core/testing';

import { ExternalSaveService } from
  'services/external-save.service';

describe('External Save Service', () => {
  let externalSaveService: ExternalSaveService;

  beforeEach(() => {
    externalSaveService = TestBed.get(ExternalSaveService);
  });

  it('should fetch externalSave event emitter', () => {
    let sampleExternalSaveEventEmitter = new EventEmitter();
    expect(externalSaveService.onExternalSave).toEqual(
      sampleExternalSaveEventEmitter);
  });
});
